class Student:
	def __init__(self, id, fname, lname):
	#Creates a new instance of Student with an Id, last name and first name.
		self.id = id
		self.last_name = lname
		self.first_name = fname

	def __repr__(self):
	#Computes the "official" string reputation of a Student
		return 'Student({0}, {1}, {2})'.format(self.id, self.first_name, self.last_name)

	def __str__(self):
	#Computes the "informal" string representations of a Student.
		return '{0}: {1} {2}'.format(self.id, self.first_name, self.last_name)

s1 = Student(1, 'Angela', 'Chang')
print(repr(s1))
print(s1)